org.apache.maven.scm.provider.starteam.command.tag

## Class StarteamTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.starteam.command.tag.StarteamTagCommand

- All Implemented Interfaces:
    Command, StarteamCommand

      public class StarteamTagCommand
      extends AbstractTagCommand
      implements StarteamCommand

  Version:
    $Id: StarteamTagCommand.java 754778 2009-03-15 22:26:37Z olamy $
  Author:
    Dan T. Tran

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StarteamTagCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(StarteamScmProviderRepository repo, File workingDirectory, String tag)`
    `protected ScmResult` | `executeTagCommand(ScmProviderRepository repo, ScmFileSet fileSet, String tag, ScmTagParameters scmTagParameters)`
    `protected ScmResult` | `executeTagCommand(ScmProviderRepository repo, ScmFileSet fileSet, String tag, String message)`

    - ### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### StarteamTagCommand

          public StarteamTagCommand()

  - ### Method Detail

    - #### executeTagCommand

          protected ScmResult executeTagCommand(ScmProviderRepository repo,
                                    ScmFileSet fileSet,
                                    String tag,
                                    String message)
                                         throws ScmException

      Overrides:
        `executeTagCommand` in class `AbstractTagCommand`
      Returns:
      Throws:
        `ScmException`

    - #### executeTagCommand

          protected ScmResult executeTagCommand(ScmProviderRepository repo,
                                    ScmFileSet fileSet,
                                    String tag,
                                    ScmTagParameters scmTagParameters)
                                         throws ScmException

      Specified by:
        `executeTagCommand` in class `AbstractTagCommand`
      Throws:
        `ScmException`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(StarteamScmProviderRepository repo,
                                                                   File workingDirectory,
                                                                   String tag)
                                                                            throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.